language: cn
model_unique_abbr: ptspath
version: 1.0
identification:
  docker_image_name: ptspath:1.0
  model_name: 公共交通网络中的最短路径算法
  semantic: Shortest Path Algorithms in Public Transportation Networks
  description: 计算公交网络中的最短路径
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 公交网络
  - 最短路径
parameter_info:
  parameters:
  - arg_name: input_path
    is_single_en_dash: false
    param_type: input_data
    name: 所有公交数据
    description: 输入文件夹 其中包含：公交路线routes，公交行程trips，公交站点时刻stop_times_subway，公交站点stops_subway，换乘transfers
    data_type: csv
    data_semantic: RoadData_data

  - arg_name: startstop
    is_single_en_dash: false
    param_type: param
    name: startstop
    description: 起点站
    data_type: str
    data_semantic: startstop
    specification:
      default: s1   

  - arg_name: endstop
    is_single_en_dash: false
    param_type: param
    name: endstop
    description: 终点站
    data_type: str
    data_semantic: endstop
    specification:
      default: s6      

application:
  domain: 公交网络中的最短路径计算
  objective: 公交网络中的最短路径计算
  dimension:
  - 三维
  mechanism: 公交网络中的最短路径计算
operation:
  usage: 该算法需要十个参数，公交路线数据(RoadDataFile)，公交行程数据（TripFile）,公交站点时刻信息（StopTimeFile）,公交站点信息（StopFile）,公交换乘信息（TransferFile），起始点ID(startstopID)，起始时刻（starttime）,终止点ID(endstopID)，终止时刻（endtime）。
  exec_example:
  - docker run -v $(pwd):/data ptspath:1.0 --input /data/network.csv --originId 18 --radius 200 --output /data/output.csv
  output_display:
  - 最短路径的用时
  - 最短路径包含的公交路线
  license:
  -
technique:
  language:
  - python
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangchao
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "Chen B Y, Teng W, Jia T, et al. Transit voronoi diagrams in multi-mode public transport networks[J]. Computers, Environment and Urban Systems, 2022, 96: 101849."